Name:           solaar
Version:        1.1.10
Release:    1%{?dist}
Summary:        Device manager for a wide range of Logitech devices
URL:            https://github.com/pwr/Solaar
Source0:         %{url}/archive/%{version}/Solaar-%{version}.tar.gz

Patch0:          0001-Install-udev-rules-into-correct-location.patch
Patch1:          0002-Install-alternative-udev-rules-for-wayland-compatibi.patch
Patch2:          0003-Install-autostart-desktop-file.patch

BuildArch:      noarch
License:        GPLv2

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  systemd-rpm-macros

Requires:       hicolor-icon-theme
Requires:       solaar-udev
Recommends:     (gnome-shell-extension-appindicator if gnome-shell)
Recommends:     gtk3
Recommends:     libappindicator-gtk3
Recommends:     python3-gobject-base
Recommends:     python3-hid-parser

%description
Solaar is a device manager for Logitech's Unifying Receiver peripherals. It is
able to pair/unpair devices to the receiver and, for most devices, read battery
status.

gtk3 is recommended.  Without it, you can run solaar commands to view the
configuration of the devices and pair/unpair peripherals but you cannot use the
graphical interface.


%package doc
Summary:        Developer documentation for Solaar
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
This package provides documentation for Solaar, a device manager for
Logitech's Unifying Receiver peripherals.


%package udev
Summary:        Udev rules for Logitech receivers
BuildArch:      noarch
Provides:       unifying-receiver-udev = 0.2-12

%description udev
This package contains udev rules which grant users permission to access various
connected Logitech wireless receivers.  This includes Unifying receivers,
various types of Nano receivers and some other types which can be used by
Solaar.


%prep
%autosetup -p1 -n Solaar-%{version}
rm docs/.gitignore


%build
%py3_build
tools/po-compile.sh


%install
%py3_install

install -pm755 tools/hidconsole %{buildroot}%{_bindir}

sed -i -e '1d' %{buildroot}/%{python3_sitelib}/solaar/{gtk,tasks}.py

sed -i -e '1s,^#!.*$,#!/usr/bin/python3,' %{buildroot}/%{_bindir}/hidconsole

desktop-file-validate %{buildroot}/%{_datadir}/applications/solaar.desktop

desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/solaar.desktop

%find_lang %{name}

%posttrans udev
if [ -S /run/udev/control ]; then
    /usr/bin/udevadm trigger --subsystem-match=hidraw --action=add
fi

%files -f %{name}.lang
%license COPYING
%doc COPYRIGHT share/README
%{_bindir}/solaar
%{_bindir}/hidconsole
%{python3_sitelib}/hidapi
%{python3_sitelib}/keysyms
%{python3_sitelib}/logitech_receiver
%{python3_sitelib}/solaar
%{python3_sitelib}/solaar-%{version}*-py%{python3_version}.egg-info
%{_datadir}/solaar
%{_datadir}/applications/solaar.desktop
%{_datadir}/icons/hicolor/scalable/apps/solaar.svg
%{_metainfodir}/io.github.pwr_solaar.solaar.metainfo.xml
%config(noreplace) %{_sysconfdir}/xdg/autostart/solaar.desktop


%files doc
%doc docs/*


%files udev
%license COPYING
%{_udevrulesdir}/42-logitech-unify-permissions.rules


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.10-1
- initial build
